Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.mldsa
Class MLDSAParameters

    java.lang.Object
      org.bouncycastle.pqc.crypto.mldsa.MLDSAParameters

Deprecated. use org.bouncycastle.crypto.params.MLDSAParameters

public class MLDSAParameters
extends java.lang.Object

Field Summary
`static MLDSAParameters` | `ml_dsa_44` Deprecated.
`static MLDSAParameters` | `ml_dsa_44_with_sha512` Deprecated.
`static MLDSAParameters` | `ml_dsa_65` Deprecated.
`static MLDSAParameters` | `ml_dsa_65_with_sha512` Deprecated.
`static MLDSAParameters` | `ml_dsa_87` Deprecated.
`static MLDSAParameters` | `ml_dsa_87_with_sha512` Deprecated.
`static int` | `TYPE_PURE` Deprecated.
`static int` | `TYPE_SHA2_512` Deprecated.

Method Summary
`java.lang.String` | `getName()` Deprecated.
`int` | `getType()` Deprecated.
`boolean` | `isPreHash()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_PURE

    public static final int TYPE_PURE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_SHA2_512

    public static final int TYPE_SHA2_512

  Deprecated.
  See Also:
    Constant Field Values

### ml_dsa_44

    public static final MLDSAParameters ml_dsa_44

  Deprecated.

### ml_dsa_65

    public static final MLDSAParameters ml_dsa_65

  Deprecated.

### ml_dsa_87

    public static final MLDSAParameters ml_dsa_87

  Deprecated.

### ml_dsa_44_with_sha512

    public static final MLDSAParameters ml_dsa_44_with_sha512

  Deprecated.

### ml_dsa_65_with_sha512

    public static final MLDSAParameters ml_dsa_65_with_sha512

  Deprecated.

### ml_dsa_87_with_sha512

    public static final MLDSAParameters ml_dsa_87_with_sha512

  Deprecated.

Method Detail

### isPreHash

    public boolean isPreHash()

  Deprecated.

### getType

    public int getType()

  Deprecated.

### getName

    public java.lang.String getName()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD